com.jscape.inet.mft.management.descriptors

## Class DomainDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.DomainDescriptor

- All Implemented Interfaces:
    java.lang.Comparable

      public class DomainDescriptor
      extends java.lang.Object
      implements java.lang.Comparable

  Domain descriptor. This class is used as serialized form of domain data.
  Author:
    Alex

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LOG_OPTIONS`
    `static java.lang.String` | `TRANSPORT_OPTIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `DomainDescriptor(java.lang.String name, java.lang.String description)`
    `DomainDescriptor(java.lang.String name, java.lang.String description, java.util.Map options, java.util.Collection<ServiceDescriptor> serviceDescriptors, java.util.Collection<Configuration> configurations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfiguration(Configuration value)`
    `void` | `addServiceDescriptor(ServiceDescriptor value)`
    `int` | `compareTo(java.lang.Object o)`
    `<T extends Configuration> T` | `configuration(T defaultConfiguration)`
    `<T extends ServiceDescriptor> T` | `descriptor(java.lang.Class descriptorClass, ServiceDescriptor defaultDescriptor)`
    `boolean` | `equals(java.lang.Object o)`
    `<T extends Configuration> T` | `findConfiguration(java.lang.Class configClass)`
    `<T extends ServiceDescriptor> T` | `findServiceDescriptor(java.lang.Class filter)` Returns service descriptor of specified class.
    `ServiceDescriptor[]` | `findServiceDescriptors(java.lang.Class... filters)` Returns services descriptors of specified classes.
    `Configuration[]` | `getConfigurations()`
    `java.lang.String` | `getDescription()` Returns domain description.
    `java.lang.String` | `getName()` Returns domain name.
    `java.util.Map` | `getOptions()` Returns domain options.
    `ServiceDescriptor[]` | `getServiceDescriptors()` Returns domain services descriptors.
    `int` | `hashCode()`
    `void` | `removeConfiguration(Configuration value)`
    `void` | `removeServiceDescriptor(ServiceDescriptor value)`
    `void` | `setConfigurations(Configuration[] value)`
    `void` | `setDescription(java.lang.String value)` Sets domain description.
    `void` | `setName(java.lang.String value)` Sets domain name.
    `void` | `setOptions(java.util.Map value)` Sets domain options.
    `void` | `setServiceDescriptors(ServiceDescriptor[] value)` Sets domain services descriptors.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TRANSPORT_OPTIONS

          public static final java.lang.String TRANSPORT_OPTIONS

      See Also:
        Constant Field Values

    - #### LOG_OPTIONS

          public static final java.lang.String LOG_OPTIONS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DomainDescriptor

          public DomainDescriptor(java.lang.String name,
                                  java.lang.String description,
                                  java.util.Map options,
                                  java.util.Collection<ServiceDescriptor> serviceDescriptors,
                                  java.util.Collection<Configuration> configurations)

    - #### DomainDescriptor

          public DomainDescriptor(java.lang.String name,
                                  java.lang.String description)

    - #### DomainDescriptor

          public DomainDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns domain name.
      Returns:
        domain name

    - #### setName

          public void setName(java.lang.String value)

      Sets domain name.
      Parameters:
        `value` - the domain name

    - #### getDescription

          public java.lang.String getDescription()

      Returns domain description.
      Returns:
        domain description

    - #### setDescription

          public void setDescription(java.lang.String value)

      Sets domain description.
      Parameters:
        `value` - the domain description

    - #### getOptions

          public java.util.Map getOptions()

      Returns domain options.
      Returns:
        domain options

    - #### setOptions

          public void setOptions(java.util.Map value)

      Sets domain options.
      Parameters:
        `value` - domain options

    - #### getServiceDescriptors

          public ServiceDescriptor[] getServiceDescriptors()

      Returns domain services descriptors.
      Returns:
        domain services descriptors

    - #### setServiceDescriptors

          public void setServiceDescriptors(ServiceDescriptor[] value)

      Sets domain services descriptors.
      Parameters:
        `value` - the services descriptors

    - #### addServiceDescriptor

          public void addServiceDescriptor(ServiceDescriptor value)

    - #### removeServiceDescriptor

          public void removeServiceDescriptor(ServiceDescriptor value)

    - #### findServiceDescriptors

          public ServiceDescriptor[] findServiceDescriptors(java.lang.Class... filters)

      Returns services descriptors of specified classes.
      Parameters:
        `filters` - target descriptors classes
      Returns:
        services descriptors of specified classes

    - #### findServiceDescriptor

          public <T extends ServiceDescriptor> T findServiceDescriptor(java.lang.Class filter)

      Returns service descriptor of specified class.
      Parameters:
        `filter` - target descriptor class
      Returns:
        service descriptor of specified classes or `null` if descriptor was not found

    - #### getConfigurations

          public Configuration[] getConfigurations()

    - #### addConfiguration

          public void addConfiguration(Configuration value)

    - #### removeConfiguration

          public void removeConfiguration(Configuration value)

    - #### setConfigurations

          public void setConfigurations(Configuration[] value)

    - #### findConfiguration

          public <T extends Configuration> T findConfiguration(java.lang.Class configClass)

    - #### descriptor

          public <T extends ServiceDescriptor> T descriptor(java.lang.Class descriptorClass,
                                                            ServiceDescriptor defaultDescriptor)

    - #### configuration

          public <T extends Configuration> T configuration(T defaultConfiguration)

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2019. All Rights Reserved